ata_qc_free
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_qc_free — free unused ata_queued_cmd

## Synopsis

`void ata_qc_free (` | struct ata_queued_cmd * | qc`)`;

## Arguments

`qc`

  Command to complete

## Description

Designed to free unused ata_queued_cmd object in case something prevents using it.

## LOCKING

spin_lock_irqsave(host lock)

Prev | Up | Next
ata_qc_new_init | Home | ata_qc_issue